%define shortname QtCurve
%define libname %{_lib}%{name}

Name: kde4-style-qtcurve
Summary: QtCurve Theme for KDE4
Version: 1.8.8
Release: %mkrel 1
Source0: http://craigd.wikispaces.com/file/view/%{shortname}-KDE4-%{version}.tar.bz2
URL: http://www.kde-look.org/content/show.php?content=40492
Group: Graphical desktop/KDE
License: GPLv2 
BuildRequires: kdebase4-workspace-devel
Requires: %{libname} = %{version}-%{release}
Suggests: qtcurve-gtk2
Suggests: systemsettings-qt-gtk
Conflicts: kde-style-QtCurve < 0.59
Obsoletes: kde4-style-QtCurve < 0.59.3

%description
QtCurve theme for KDE 4

%files -f qtcurve.lang
%defattr(-,root,root)
%doc README ChangeLog TODO
%{_kde_appsdir}/QtCurve
%{_kde_appsdir}/color-schemes/
%{_kde_appsdir}/kstyle/
%{_kde_appsdir}/kwin/

#------------------------------------------------------------------------------

%package -n %{libname}
Summary: libraries for %{name}
Group: System/Libraries
Conflicts: %{name} < 0.69.2-2

%description -n %{libname}
The libraries for %{name}.

%files -n %{libname}
%{_kde_libdir}/kde4/kstyle_qtcurve_config.so
%{_kde_libdir}/kde4/kwin3_qtcurve.so
%{_kde_libdir}/kde4/kwin_qtcurve_config.so
%{_kde_libdir}/kde4/plugins/styles/qtcurve.so

#------------------------------------------------------------------------------

%prep 
%setup -q -n %{shortname}-KDE4-%version

%build 
%cmake_kde4 
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std -C build
%find_lang qtcurve

%clean 
%__rm -rf %{buildroot} 


%changelog
* Thu Aug 04 2011 fwang <fwang> 1.8.8-1.mga2
+ Revision: 131654
- new version 1.8.8

* Thu May 05 2011 mikala <mikala> 1.8.7-1.mga1
+ Revision: 94986
- Change spec layout
- Use %%mkrel
- Remove oxygen-gtk as a suggest
- Remove BuildRoot tag
- Remove kdelibs4-devel as BR (pulled by kdebase4-workspace-devel)
- imported package kde4-style-qtcurve

